***

title: record_stop
slug: /reference/python/rest/calling/record-stop
description: Stop an active recording on a call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

[record]: /docs/server-sdks/reference/python/rest/calling/record

Stop an active recording. The recording file becomes available after stopping.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

result = client.calling.record_stop(call_id="call-id-xxx", control_id="ctrl-id")
print(result)  # Contains recording URL
```